Skip to main content
POST
/
project
/
{id}
/
key
/
verify
Verify API key
curl --request POST \
  --url https://api.basic.tech/project/{id}/key/verify \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "key": "<string>",
  "key_id": "<string>"
}
'
{
  "is_valid": true,
  "key": {
    "id": "<string>",
    "label": "<string>",
    "roles": "<string>",
    "created_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.basic.tech/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Authorization Token header using the Bearer scheme

Path Parameters

id
string
required

Unique identifier of the project

Body

application/json
key
string
required

API key to verify

key_id
string

Optional key ID for more specific verification

Response

API key verification result

API key verification result

is_valid
boolean

Whether the API key is valid

key
object

Key details if valid